HomeDocumentationAPI Endpoints
Log In
API Endpoints

Aadhaar Digilocker Verification

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Aadhaar Digilocker Verification journey enables businesses to verify user's Aadhaar using Digilocker. The verification process would involve 2 steps:

Step 1:

Hit the API to obtain digilocker URL.

{
 
}

Step 2:

Pass the auth_code obtained from the URL to this step to obtain the Digilocker verification data.

Journey Input Data (Step 2)

{
  "auth_code":"XXXXXXX"
}

Journey Output Data

{
    "status": "SUCCESS",
    "message": "Success",
    "status_code": "success",
    "transaction_id": "4af854f3-ec46-4a4d-8e2f-64c48255a682",
    "journey_transaction_id": "EQ.GT.8b66c606-727c-4073-8457-b8622b5f24e3#digilocker_pidg_v1#81462ef67e2a4ef791a2b713c98d1742",
    "journey_id": "aadhaar_digilocker_dev_test_v1",
    "data": {
        "keys": {
            "aadhaar": [
                {
                    "name": "",
                    "dob": "",
                    "gender": "",
                    "photo": "",
                    "address": "",
                    "address_house": "",
                    "address_street": "",
                    "address_area": "",
                    "address_district": "",
                    "address_state": "",
                    "address_country": "",
                    "address_pincode": "",
                    "key_id": "",
                    "key_name": "",
                    "key_source": "",
                    "key_fetched_at": "",
                    "issuer_name": "UIDAI",
                    "co": "",
                    "uidai_verification_data": {}
                }
            ]
        }
    }
}
📘

This journey does not include any pre-configured Ownership or Fraud Checks. To add these checks, please contact your Account Manager.

Status Codes

ScenarioHttp Status Codestatusstatus_codemessage
When request is successful and Aadhaar details are available.200SUCCESSsuccessRequest successful
When aadhaar_no provided is not a valid Aadhaar format200FAILUREinvalid_aadhaar_noaadhaar_no is Invalid
When no details found at Source for given Aadhaar Number.200FAILUREdocument_not_foundEntity not found
When Input doesn't contain the aadhaar_no field.400FAILUREinvalid_requestaadhaar_no is required
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials
Any unhandled error from Equal end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

Key Descriptions

KeyDescription
statusCurrent status of the transaction. Possible values: SUCCESS, FAILURE, IN_PROGRESS.
messageDetailed message about the transaction status.
status_codeCode representing the specific status of the transaction. Possible values: success, failure, etc.
transaction_idUnique identifier for the transaction.
journey_transaction_idUnique identifier for the journey transaction.
journey_idUnique identifier for the journey.
nameName of the Aadhaar holder.
dobDate of birth of the Aadhaar holder.
genderGender of the Aadhaar holder.
photoPhoto of the Aadhaar holder.
addressFull address of the Aadhaar holder.
address_houseHouse number in the Aadhaar holder's address.
address_streetStreet name in the Aadhaar holder's address.
address_areaArea in the Aadhaar holder's address.
address_districtDistrict in the Aadhaar holder's address.
address_stateState in the Aadhaar holder's address.
address_countryCountry in the Aadhaar holder's address.
address_pincodePincode of the Aadhaar holder's address.
key_idUnique identifier for the key.
key_nameName of the key being verified.
key_sourceSource from which the key data was fetched.
key_fetched_atTimestamp when the key data was fetched.
issuer_nameIssuer of the Aadhaar (e.g., UIDAI).
coCare of (CO) address, if available.
uidai_verification_dataAdditional verification data from UIDAI.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various Verification Journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the PAN name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to aadhaar_digilocker_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

json
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Aadhaar verification journeys will have input parameters like Aadhaar Number.

string

You can pass a request ID to uniquely identify each attempt of the verification journey separately on your end

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json